## xdoclet.util
Class LogUtil

    java.lang.Object
      xdoclet.util.LogUtil

public final class LogUtil
extends Object

Version:
  $Revision: 1.4 $
Author:
  Mathias Bogaert
created
  4 mei 2002

Constructor Summary
`LogUtil()`

Method Summary
`static org.apache.commons.logging.Log` `getLog(Class clazz, String name)` Returns an instance of Jakarta Commons Log object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogUtil

    public LogUtil()

Method Detail

### getLog

    public static org.apache.commons.logging.Log getLog(Class clazz,
                                                        String name)

  Returns an instance of Jakarta Commons Log object. For now simply return the classname + name as a log.

  Parameters:
    `clazz` - Class (will use clazz.getName() to obtain the class name)
    `name` - Method name
  Returns:
    a logger for the specified class and method

http://xdoclet.sourceforge.net/